EDIT - bug #9825

Selection wizards for areas in mulitlanguage instances show every vocabulary twice
10/25/2021 10:31 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.28

Severity: normal Found in Version:

Description

The selection wizard for areas for the distribution editor shows the vocabularies twice in cuba, this is a multilanguage instance.

Related issues:
Related to EDIT - bug #9598: Deduplicate NamedAreas with >1 representations a... Closed

Associated revisions

Revision d955087e - 11/02/2021 12:06 PM - Andreas Miiller

ref #9825 try to fix duplicated vocabularies in distribution editor (probably not working yet due to generics)

Revision 4eccb67a - 11/02/2021 04:01 PM - Andreas Miiller

ref #9825 revert "failing" deduplication and add test showing that deduplication works on dao level

Revision 259¢70d2 - 11/02/2021 06:28 PM - Andreas Miiller
ref #9825 fix failing vocDto test

Revision 3538034 - 11/03/2021 12:10 PM - Andreas Miiller

fix #9825 implement deduplication for list(Set) methods in term and vocabulary services

History

#1 - 10/27/2021 08:35 AM - Katja Luther

- Related to bug #9598: Deduplicate NamedAreas with >1 representations and include label in search added

#2 - 11/02/2021 10:41 AM - Andreas Mdiller

- Tags set to fast

#3 - 11/02/2021 12:09 PM - Andreas Miiller

- Status changed from New to In Progress

- Assignee changed from Katja Luther to Andreas Miiller

- Priority changed from New to Highest

- Target version changed from Release 5.45 to Release 5.28

- % Done changed from 0 to 20

First implementation with d955087e . However, it may not yet work due to generics (the current DefinedTermDaolmpl.deduplicateResult() method
maybe works only for CdmBase objects) but we work with DTOs here. Once this is tested we may also adapt other DTO based methods in
TermVocabularyDaolmpl as there are lots of methods being DTO based but still loading the representation(s) as model objects.

#4 - 11/02/2021 06:33 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

The method used is a DTO method VocabularyService.findVocabularyDtoByTermType() or finally on DTO level
TermVocabularyDaolmpl.findVocabularyDtoBy TermTypes(). This method already implements deduplication server side as the new test (
259c¢70d2e105) shows.

The DTO stores both representations in the result. So | guess the problem is somewhere on client side. Katja, can you check this.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/d955087e453a185bfcb655558d1bfdfe6a6b23cc
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/259c70d2e1056c0a1fe103a9a93bfaf376b89555

#5 - 11/03/2021 11:13 AM - Katja Luther

- Status changed from In Progress to Feedback

- Assignee changed from Katja Luther to Andreas Mdiller

Andreas Muller wrote:
The method used is a DTO method VocabularyService.findVocabularyDtoByTermType() or finally on DTO level
TermVocabularyDaolmpl.findVocabularyDtoBy TermTypes(). This method already implements deduplication server side as the new test (

259¢70d2e105) shows.
The DTO stores both representations in the result. So | guess the problem is somewhere on client side. Katja, can you check this.

Sorry it was the wrong method, it is the find(UUID) which gives back two vocabularies for the uuid.

#6 - 11/03/2021 12:10 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- % Done changed from 20 to 50

Applied in changeset cdmlib|e3538034fba60c336b797d1bab8fbca89db8178.

#7 - 11/03/2021 12:11 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

Should be solved now. Can you please review?

#8 - 11/03/2021 01:50 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 100

| tested on rem_conf_am and everything seems to work as expected.
